Bug 201074 - NullPointerException at org.netbeans.modules.cnd.modelimpl.impl.services.UsingResolverImpl.findVisibleNamespaces
NullPointerException at org.netbeans.modules.cnd.modelimpl.impl.services.Usin...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT,701patch2-verified,...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 10:25 UTC by Exceptions Reporter
Modified: 2011-09-29 08:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.83 KB, text/plain)
2011-08-18 10:25 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-08-18 10:25:38 UTC
This issue was reported manually by vv159170.
It already has 10 duplicates 


Build: NetBeans IDE 7.0 (Build 201104080000)
VM: Java HotSpot(TM) Client VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: Linux

User Comments:
GUEST: netbeans was parsing code

GUEST: Autocomplete for the boost::spirit::qi not work and throw this exception.
Code like this:
namespace qi = boost::spirit::qi;
...
void bla_bla_bla() {
qi::|
     ^ - cursor
}
throw exception
Sorry my English, I'm from Russia.




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.modelimpl.impl.services.UsingResolverImpl.findVisibleNamespaces(UsingResolverImpl.java:231)
   at org.netbeans.modules.cnd.modelimpl.impl.services.UsingResolverImpl.findVisibleNamespacesBfs(UsingResolverImpl.java:128)
   at org.netbeans.modules.cnd.modelimpl.impl.services.UsingResolverImpl.findVisibleNamespaces(UsingResolverImpl.java:120)
   at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.getNamespacesToSearch(CompletionResolverImpl.java:1813)
   at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.getClassesEnums(CompletionResolverImpl.java:909)
   at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolveContext(CompletionResolverImpl.java:489)
Comment 1 Exceptions Reporter 2011-08-18 10:25:41 UTC
Created attachment 110064 [details]
stacktrace
Comment 2 Alexander Simon 2011-09-16 07:53:04 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/09cfcf4eb250
Comment 3 Vladimir Voskresensky 2011-09-16 09:31:55 UTC
fix is safe and correct
Comment 4 Alexander Simon 2011-09-16 10:16:22 UTC
transplanted in releases_elif branch release701_fixes
09cfcf4eb250 transplanted to 3b4cf8a5e90e
Comment 5 Quality Engineering 2011-09-17 14:11:23 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/09cfcf4eb250
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201074 NullPointerException at org.netbeans.modules.cnd.modelimpl.impl.services.UsingResolverImpl.findVisibleNamespaces
Comment 6 dnikitin 2011-09-22 17:17:41 UTC
verified in Build oss-platform-build-66-on-20110921
Comment 7 Quality Engineering 2011-09-26 13:27:09 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/3b4cf8a5e90e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201074 NullPointerException at org.netbeans.modules.cnd.modelimpl.impl.services.UsingResolverImpl.findVisibleNamespaces
(transplanted from 09cfcf4eb2507fa9ba61db6cf57461fc3f591f63)
Comment 8 soldatov 2011-09-29 08:20:35 UTC
verified
can not reproduce in NetBeans IDE 7.0.1 (Build 201109261118)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo